| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_rtc_config Struct Reference
Real Time Clock (RTC)

Real Time Clock configuration. More...

`#include <rtc.h>`

Collaboration diagram for stc_rtc_config:
[legend]

## Data Fields
en_rtc_clk_sel_t | enClkSel
| TRUE: RTC clock selection.
boolean_t | bEnSuboutDivider
en_rtc_div_ratio_t | enDividerRatio
| Divider ratio.
en_rtc_rtcco_sel_t | enRtccoSel
| Divider of CO signal, see en_rtc_rtcco_sel_t for details.
boolean_t | bInitFreqCorr
stc_rtc_freq_corr_t | stcFreqCorrConfig
| Frequency correction configuration, only when bInitFreqCorr is TRUE, this configuration is valid.
boolean_t | bInitTimeDate
stc_rtc_time_t | stcTimeDate
| Time configuration structure, only when bInitTime is TRUE, this configuration is valid.
boolean_t | bInitAlarm
stc_rtc_alarm_t | stcAlarm
| Alarm configuration structure, only when bInitAlarm is TRUE, this configuration is valid.
boolean_t | bInitTimer
stc_rtc_timer_t | stcTimer
| Timer configuration structure, only when bInitTimer is TRUE, this configuration is valid.

## Detailed Description

Real Time Clock configuration.

The RTC configuration settings

Definition at line 388 of file rtc.h.

## Field Documentation

boolean_t bEnSuboutDivider

TRUE: Enable Divider for Divider Ratio FALSE: Disable Divider for Divider Ratio

Definition at line 391 of file rtc.h.

Referenced by Rtc_Init().

boolean_t bInitAlarm

TRUE: Init RTC alarm FALSE: Do not Init RTC alarm

Definition at line 404 of file rtc.h.

Referenced by Rtc_Init().

boolean_t bInitFreqCorr

TRUE: Init Frequency correction module FALSE: Do not Init Frequency correction module

Definition at line 396 of file rtc.h.

Referenced by Rtc_Init().

boolean_t bInitTimeDate

TRUE: Init RTC time and date FALSE: Do not Init RTC time and date

Definition at line 400 of file rtc.h.

Referenced by Rtc_Init().

boolean_t bInitTimer

TRUE: Init RTC timer FALSE: Do not Init RTC timer

Definition at line 408 of file rtc.h.

Referenced by Rtc_Init().

en_rtc_clk_sel_t enClkSel

TRUE: RTC clock selection.

Definition at line 390 of file rtc.h.

Referenced by Rtc_Init().

en_rtc_div_ratio_t enDividerRatio

Divider ratio.

Definition at line 393 of file rtc.h.

Referenced by Rtc_Init().

en_rtc_rtcco_sel_t enRtccoSel

Divider of CO signal, see en_rtc_rtcco_sel_t for details.

Definition at line 394 of file rtc.h.

Referenced by Rtc_Init().

stc_rtc_alarm_t stcAlarm

Alarm configuration structure, only when bInitAlarm is TRUE, this configuration is valid.

Definition at line 406 of file rtc.h.

Referenced by Rtc_Init().

stc_rtc_freq_corr_t stcFreqCorrConfig

Frequency correction configuration, only when bInitFreqCorr is TRUE, this configuration is valid.

Definition at line 398 of file rtc.h.

Referenced by Rtc_Init().

stc_rtc_time_t stcTimeDate

Time configuration structure, only when bInitTime is TRUE, this configuration is valid.

Definition at line 402 of file rtc.h.

Referenced by Rtc_Init().

stc_rtc_timer_t stcTimer

Timer configuration structure, only when bInitTimer is TRUE, this configuration is valid.

Definition at line 410 of file rtc.h.

Referenced by Rtc_Init().

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/driver/rtc/rtc.h